[med-svn] r12977 - trunk/packages/genometools/trunk/debian
Sascha Steinbiss
sascha-guest at alioth.debian.org
Sun Feb 10 20:25:51 UTC 2013
Author: sascha-guest
Date: 2013-02-10 20:25:51 +0000 (Sun, 10 Feb 2013)
New Revision: 12977
Added:
trunk/packages/genometools/trunk/debian/python-genometools.install
trunk/packages/genometools/trunk/debian/python-genometools.postinst
trunk/packages/genometools/trunk/debian/python-genometools.prerm
Modified:
trunk/packages/genometools/trunk/debian/control
trunk/packages/genometools/trunk/debian/rules
Log:
create package for Python bindings
Modified: trunk/packages/genometools/trunk/debian/control
===================================================================
--- trunk/packages/genometools/trunk/debian/control 2013-02-10 15:09:09 UTC (rev 12976)
+++ trunk/packages/genometools/trunk/debian/control 2013-02-10 20:25:51 UTC (rev 12977)
@@ -7,7 +7,7 @@
liblua5.1-lpeg-dev, libcairo2-dev, zlib1g-dev, libbz2-dev, libexpat1-dev,
libncurses5-dev, libsqlite3-dev, libbam-dev, libpango1.0-dev,
texlive-latex-base, texlive-latex-extra, texlive-fonts-extra, latex-xcolor,
- texlive-fonts-recommended
+ texlive-fonts-recommended, python
Standards-Version: 3.9.4
DM-Upload-Allowed: yes
Homepage: http://genometools.org
@@ -82,3 +82,14 @@
This package contains debug information stripped from the GenomeTools.
You may decide to install it to help identifying issues, typically
to help communication with upstream developers.
+
+Package: python-genometools
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-ctypes,
+ libgenometools0
+Section: python
+Description: Python bindings for genometools
+ Partial Python2 bindings for the GenomeTools library.Besides basic
+ bioinformatics data structures, the library contains components for sequence
+ and annotation handling, sequence compression, index structure generation and
+ access, efficient matching, annotation visualization and much more.
Added: trunk/packages/genometools/trunk/debian/python-genometools.install
===================================================================
--- trunk/packages/genometools/trunk/debian/python-genometools.install (rev 0)
+++ trunk/packages/genometools/trunk/debian/python-genometools.install 2013-02-10 20:25:51 UTC (rev 12977)
@@ -0,0 +1,4 @@
+usr/lib/python*/dist-packages/gt/*py
+usr/lib/python*/dist-packages/gt/core/*py
+usr/lib/python*/dist-packages/gt/annotationsketch/*py
+usr/lib/python*/dist-packages/gt/extended/*py
Added: trunk/packages/genometools/trunk/debian/python-genometools.postinst
===================================================================
--- trunk/packages/genometools/trunk/debian/python-genometools.postinst (rev 0)
+++ trunk/packages/genometools/trunk/debian/python-genometools.postinst 2013-02-10 20:25:51 UTC (rev 12977)
@@ -0,0 +1,11 @@
+#!/bin/bash
+set -e
+
+case "$1" in
+ configure|abort-upgrade|abort-remove|abort-deconfigure)
+ dpkg --listfiles python-genometools | grep '\.py$' | \
+ xargs -n 1 /usr/bin/python -c 'import py_compile,sys;py_compile.compile(sys.argv[1])'
+ dpkg --listfiles python-genometools | grep '\.py$' | \
+ xargs -n 1 /usr/bin/python -O -c 'import py_compile,sys;py_compile.compile(sys.argv[1])'
+ ;;
+esac
Added: trunk/packages/genometools/trunk/debian/python-genometools.prerm
===================================================================
--- trunk/packages/genometools/trunk/debian/python-genometools.prerm (rev 0)
+++ trunk/packages/genometools/trunk/debian/python-genometools.prerm 2013-02-10 20:25:51 UTC (rev 12977)
@@ -0,0 +1,6 @@
+#!/bin/bash
+set -e
+
+dpkg --listfiles python-genometools |
+ awk '$0~/\.py$/ {print $0"c\n" $0"o"}' |
+ xargs rm -f >&2cd deb
Modified: trunk/packages/genometools/trunk/debian/rules
===================================================================
--- trunk/packages/genometools/trunk/debian/rules 2013-02-10 15:09:09 UTC (rev 12976)
+++ trunk/packages/genometools/trunk/debian/rules 2013-02-10 20:25:51 UTC (rev 12977)
@@ -4,6 +4,7 @@
#export DH_VERBOSE=1
export DESTDIR=$(CURDIR)/debian/tmp
export DH_ALWAYS_EXCLUDE=.gitignore
+PYTHON=`which python`
BITS:=$(shell dpkg-architecture | grep DEB_BUILD_ARCH_BITS | cut -f 2 -d'=')
ifeq ($(BITS),64)
@@ -26,6 +27,7 @@
override_dh_auto_install:
dh_auto_install -- useshared=yes 64bit=$(64BIT) opt=no errorcheck=no prefix=$(DESTDIR)/usr
+ cd $(CURDIR)/gtpython && $(PYTHON) setup.py install --install-layout=deb --prefix=$(DESTDIR)/usr
override_dh_strip:
dh_strip --dbg-package=genometools-dbg
More information about the debian-med-commit
mailing list